<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = 'inward.php';
$maindb = 'inwmain';
$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($_REQUEST["sfield"] != "") {
    if ($operator == "=") {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND `vouchno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND `vouchdt` = '$searchTerm'";
        }
    } else {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND `vouchno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND `vouchdt` LIKE '%$searchTerm%'";
        }
    }
}


$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `vouchdt`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}


$query = "SELECT * from inwmain WHERE vouchno !='' $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
//    $mlen = strlen($r['voucher']);
//    $vouch = str_repeat("0", 6 - $mlen) . $r['voucher'];

    $rows[] = ['success' => true,
        'vouchno' => $vouch,
        'vouchno' => $r['vouchno'],
        'vouchdt' => $r['vouchdt'],
        'action' => "$file?mode=edit&$keyfld=$r[vouchno]",
    ];
}
header("Content-type: application\json");
echo json_encode($rows);
